Novus 2.0.0.1


  • Administrator

    Just a quick info about the latest update, we had to tweak some configs and remove The Elysium as this mod is really outdated and buggy / incompatible with the rest of the mods in the pack.

    Updates

    • novus-bevo-configs to 2.0.0.1
    • novus-bevo-assets to 2.0.0.1

    Deletions

    • The Elysium

Log in to reply
 

Looks like your connection to UnitedWorldMiners was lost, please wait while we try to reconnect.